<?php
namespace App\Repositories;

class PaymentRepository extends BaseRepository
{
    protected string $table = 'payments';

    public function findByOrder(int $orderId): array
    {
        return $this->db->select(
            "SELECT * FROM `{$this->table}` WHERE `order_id` = :oid",
            ['oid' => $orderId]
        );
    }
}
